<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/application.html}">

<head>
    <title>Edit article</title>
</head>
<section layout:fragment="content">
    <h1>Редактирование статьи</h1>
    <form th:object="${article}" th:action="@{/articles/{id}/edit(id=*{id})}" method="post">

        <div class="mb-3">
            <label>Название</label>
            <input class="form-control" type="text" name="title" th:value="*{title}">
        </div>

        <div class="mb-3">
            <label>Содержание</label>
            <textarea class="form-control" rows="20" cols="80" type="text" name="body" th:text="*{body}"></textarea>
        </div>

        <div class="mb-3">
            <select class="form-control" name="categoryId">
                <option
                        th:each="category : ${categories}"
                        th:value="${category.id}"
                        th:text="${category.name}"
                        th:selected="${category.id==article.category.id}"
                >
                </option>
            </select>
        </div>

        <button class="btn btn-primary" type="submit">Изменить</button>
    </form>
</section>
